Index: /palm/trunk/UTIL/inifor/src/inifor_grid.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 3865)
+++ /palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 3866)
@@ -2085,165 +2104,165 @@
 !> Defines INFOR's IO groups.
 !------------------------------------------------------------------------------!
-    SUBROUTINE setup_io_groups()
-
-       INTEGER ::  ngroups
-
-       ngroups = 16
-       ALLOCATE( io_group_list(ngroups) )
-
-!
-!--    soil temp
-       io_group_list(1) = init_io_group(                                       &
-          in_files = soil_files,                                               &
-          out_vars = output_var_table(1:1),                                    &
-          in_var_list = input_var_table(1:1),                                  &
-          kind = 'soil-temperature'                                            &
-       )
-
-!
-!--    soil water
-       io_group_list(2) = init_io_group(                                       &
-          in_files = soil_files,                                               &
-          out_vars = output_var_table(2:2),                                    &
-          in_var_list = input_var_table(2:2),                                  &
-          kind = 'soil-water'                                                  &
-       )
-
-!
-!--    potential temperature, surface pressure, specific humidity including
-!--    nudging and subsidence, and geostrophic winds ug, vg
-       io_group_list(3) = init_io_group(                                       &
-          in_files = flow_files,                                               &
-          out_vars = [output_var_table(56:64),                                 & ! internal averaged density and pressure profiles
-                      output_var_table(3:8), output_var_table(9:14),           &
-                      output_var_table(42:42), output_var_table(43:44),        &
-                      output_var_table(49:51), output_var_table(52:54)],       &
-          in_var_list = (/input_var_table(3), input_var_table(17),             & ! T, P, QV
-                          input_var_table(4) /),                               &
-          kind = 'thermodynamics',                                             &
-          n_output_quantities = 4                                              & ! P, Theta, Rho, qv
-       )
-
-!
-!--    Moved to therodynamic io_group
-       !io_group_list(4) = init_io_group(                                       &
-       !   in_files = flow_files,                                               &
-       !   out_vars = [output_var_table(9:14), output_var_table(52:54)],        &
-       !   in_var_list = input_var_table(4:4),                                  &
-       !   kind = 'scalar'                                                      &
-       !)
-
-!
-!--    u and v velocity
-       io_group_list(5) = init_io_group(                                       &
-          in_files = flow_files,                                               &
-          out_vars = [output_var_table(15:26), output_var_table(45:46)],       &
-          !out_vars = output_var_table(15:20),                                  &
-          in_var_list = input_var_table(5:6),                                  &
-          !in_var_list = input_var_table(5:5),                                  &
-          kind = 'velocities'                                                  &
-       )
+ SUBROUTINE setup_io_groups()
+
+    INTEGER ::  ngroups
+
+    ngroups = 16
+    ALLOCATE( io_group_list(ngroups) )
+
+!
+!-- soil temp
+    io_group_list(1) = init_io_group(                                       &
+       in_files = soil_files,                                               &
+       out_vars = output_var_table(1:1),                                    &
+       in_var_list = input_var_table(1:1),                                  &
+       kind = 'soil-temperature'                                            &
+    )
+
+!
+!-- soil water
+    io_group_list(2) = init_io_group(                                       &
+       in_files = soil_files,                                               &
+       out_vars = output_var_table(2:2),                                    &
+       in_var_list = input_var_table(2:2),                                  &
+       kind = 'soil-water'                                                  &
+    )
+
+!
+!-- potential temperature, surface pressure, specific humidity including
+!-- nudging and subsidence, and geostrophic winds ug, vg
+    io_group_list(3) = init_io_group(                                       &
+       in_files = flow_files,                                               &
+       out_vars = [output_var_table(56:64),                                 & ! internal averaged density and pressure profiles
+                   output_var_table(3:8), output_var_table(9:14),           &
+                   output_var_table(42:42), output_var_table(43:44),        &
+                   output_var_table(49:51), output_var_table(52:54)],       &
+       in_var_list = (/input_var_table(3), input_var_table(17),             & ! T, P, QV
+                       input_var_table(4) /),                               &
+       kind = 'thermodynamics',                                             &
+       n_output_quantities = 4                                              & ! P, Theta, Rho, qv
+    )
+
+!
+!-- Moved to therodynamic io_group
+    !io_group_list(4) = init_io_group(                                       &
+    !   in_files = flow_files,                                               &
+    !   out_vars = [output_var_table(9:14), output_var_table(52:54)],        &
+    !   in_var_list = input_var_table(4:4),                                  &
+    !   kind = 'scalar'                                                      &
+    !)
+
+!
+!-- u and v velocity
+    io_group_list(5) = init_io_group(                                       &
+       in_files = flow_files,                                               &
+       out_vars = [output_var_table(15:26), output_var_table(45:46)],       &
+       !out_vars = output_var_table(15:20),                                  &
+       in_var_list = input_var_table(5:6),                                  &
+       !in_var_list = input_var_table(5:5),                                  &
+       kind = 'velocities'                                                  &
+    )
    
 !
-!--    v velocity, deprecated!
-       !io_group_list(6) = init_io_group(                                       &
-       !   in_files = flow_files,                                               &
-       !   out_vars = output_var_table(21:26),                                  &
-       !   in_var_list = input_var_table(6:6),                                  &
-       !   kind = 'horizontal velocity'                                         &
-       !)
-       !io_group_list(6) % to_be_processed = .FALSE.
+!-- v velocity, deprecated!
+    !io_group_list(6) = init_io_group(                                       &
+    !   in_files = flow_files,                                               &
+    !   out_vars = output_var_table(21:26),                                  &
+    !   in_var_list = input_var_table(6:6),                                  &
+    !   kind = 'horizontal velocity'                                         &
+    !)
+    !io_group_list(6)%to_be_processed = .FALSE.
    
 !
-!--    w velocity and subsidence and w nudging
-       io_group_list(7) = init_io_group(                                       &
-          in_files = flow_files,                                               &
-          out_vars = [output_var_table(27:32), output_var_table(47:48)],       &
-          in_var_list = input_var_table(7:7),                                  &
-          kind = 'scalar'                                                      &
-       )
-!
-!--    rain
-       io_group_list(8) = init_io_group(                                       &
-          in_files = soil_moisture_files,                                      &
-          out_vars = output_var_table(33:33),                                  &
-          in_var_list = input_var_table(8:8),                                  &
-          kind = 'accumulated'                                                 &
-       )
-       io_group_list(8) % to_be_processed = .FALSE.
-!
-!--    snow
-       io_group_list(9) = init_io_group(                                       &
-          in_files = soil_moisture_files,                                      &
-          out_vars = output_var_table(34:34),                                  &
-          in_var_list = input_var_table(9:9),                                  &
-          kind = 'accumulated'                                                 &
-       )
-       io_group_list(9) % to_be_processed = .FALSE.
-!
-!--    graupel
-       io_group_list(10) = init_io_group(                                      &
-          in_files = soil_moisture_files,                                      &
-          out_vars = output_var_table(35:35),                                  &
-          in_var_list = input_var_table(10:10),                                &
-          kind = 'accumulated'                                                 &
-       )
-       io_group_list(10) % to_be_processed = .FALSE.
-!
-!--    evapotranspiration
-       io_group_list(11) = init_io_group(                                      &
-          in_files = soil_moisture_files,                                      &
-          out_vars = output_var_table(37:37),                                  &
-          in_var_list = input_var_table(11:11),                                &
-          kind = 'accumulated'                                                 &
-       )
-       io_group_list(11) % to_be_processed = .FALSE.
-!
-!--    2m air temperature
-       io_group_list(12) = init_io_group(                                      &
-          in_files = soil_moisture_files,                                      &
-          out_vars = output_var_table(36:36),                                  &
-          in_var_list = input_var_table(12:12),                                &
-          kind = 'surface'                                                     &
-       )
-       io_group_list(12) % to_be_processed = .FALSE.
-!
-!--    incoming diffusive sw flux
-       io_group_list(13) = init_io_group(                                      &
-          in_files = radiation_files,                                          &
-          out_vars = output_var_table(38:38),                                  &
-          in_var_list = input_var_table(13:13),                                &
-          kind = 'running average'                                             &
-       )
-       io_group_list(13) % to_be_processed = .FALSE.
-!
-!--    incoming direct sw flux
-       io_group_list(14) = init_io_group(                                      &
-          in_files = radiation_files,                                          &
-          out_vars = output_var_table(39:39),                                  &
-          in_var_list = input_var_table(14:14),                                &
-          kind = 'running average'                                             &
-       )
-       io_group_list(14) % to_be_processed = .FALSE.
-!
-!--    sw radiation balance
-       io_group_list(15) = init_io_group(                                      &
-          in_files = radiation_files,                                          &
-          out_vars = output_var_table(40:40),                                  &
-          in_var_list = input_var_table(15:15),                                &
-          kind = 'running average'                                             &
-       )
-       io_group_list(15) % to_be_processed = .FALSE.
-!
-!--    lw radiation balance
-       io_group_list(16) = init_io_group(                                      &
-          in_files = radiation_files,                                          &
-          out_vars = output_var_table(41:41),                                  &
-          in_var_list = input_var_table(16:16),                                &
-          kind = 'running average'                                             &
-       )
-       io_group_list(16) % to_be_processed = .FALSE.
-
-    END SUBROUTINE setup_io_groups
+!-- w velocity and subsidence and w nudging
+    io_group_list(7) = init_io_group(                                       &
+       in_files = flow_files,                                               &
+       out_vars = [output_var_table(27:32), output_var_table(47:48)],       &
+       in_var_list = input_var_table(7:7),                                  &
+       kind = 'scalar'                                                      &
+    )
+!
+!-- rain
+    io_group_list(8) = init_io_group(                                       &
+       in_files = soil_moisture_files,                                      &
+       out_vars = output_var_table(33:33),                                  &
+       in_var_list = input_var_table(8:8),                                  &
+       kind = 'accumulated'                                                 &
+    )
+    io_group_list(8)%to_be_processed = .FALSE.
+!
+!-- snow
+    io_group_list(9) = init_io_group(                                       &
+       in_files = soil_moisture_files,                                      &
+       out_vars = output_var_table(34:34),                                  &
+       in_var_list = input_var_table(9:9),                                  &
+       kind = 'accumulated'                                                 &
+    )
+    io_group_list(9)%to_be_processed = .FALSE.
+!
+!-- graupel
+    io_group_list(10) = init_io_group(                                      &
+       in_files = soil_moisture_files,                                      &
+       out_vars = output_var_table(35:35),                                  &
+       in_var_list = input_var_table(10:10),                                &
+       kind = 'accumulated'                                                 &
+    )
+    io_group_list(10)%to_be_processed = .FALSE.
+!
+!-- evapotranspiration
+    io_group_list(11) = init_io_group(                                      &
+       in_files = soil_moisture_files,                                      &
+       out_vars = output_var_table(37:37),                                  &
+       in_var_list = input_var_table(11:11),                                &
+       kind = 'accumulated'                                                 &
+    )
+    io_group_list(11)%to_be_processed = .FALSE.
+!
+!-- 2m air temperature
+    io_group_list(12) = init_io_group(                                      &
+       in_files = soil_moisture_files,                                      &
+       out_vars = output_var_table(36:36),                                  &
+       in_var_list = input_var_table(12:12),                                &
+       kind = 'surface'                                                     &
+    )
+    io_group_list(12)%to_be_processed = .FALSE.
+!
+!-- incoming diffusive sw flux
+    io_group_list(13) = init_io_group(                                      &
+       in_files = radiation_files,                                          &
+       out_vars = output_var_table(38:38),                                  &
+       in_var_list = input_var_table(13:13),                                &
+       kind = 'running average'                                             &
+    )
+    io_group_list(13)%to_be_processed = .FALSE.
+!
+!-- incoming direct sw flux
+    io_group_list(14) = init_io_group(                                      &
+       in_files = radiation_files,                                          &
+       out_vars = output_var_table(39:39),                                  &
+       in_var_list = input_var_table(14:14),                                &
+       kind = 'running average'                                             &
+    )
+    io_group_list(14)%to_be_processed = .FALSE.
+!
+!-- sw radiation balance
+    io_group_list(15) = init_io_group(                                      &
+       in_files = radiation_files,                                          &
+       out_vars = output_var_table(40:40),                                  &
+       in_var_list = input_var_table(15:15),                                &
+       kind = 'running average'                                             &
+    )
+    io_group_list(15)%to_be_processed = .FALSE.
+!
+!-- lw radiation balance
+    io_group_list(16) = init_io_group(                                      &
+       in_files = radiation_files,                                          &
+       out_vars = output_var_table(41:41),                                  &
+       in_var_list = input_var_table(16:16),                                &
+       kind = 'running average'                                             &
+    )
+    io_group_list(16)%to_be_processed = .FALSE.
+
+ END SUBROUTINE setup_io_groups
 
 
@@ -2259,41 +2278,41 @@
 !> on the output quantity Theta.
 !------------------------------------------------------------------------------!
-    FUNCTION init_io_group(in_files, out_vars, in_var_list, kind,              &
-                           n_output_quantities) RESULT(group)
-       CHARACTER(LEN=PATH), INTENT(IN) ::  in_files(:)
-       CHARACTER(LEN=*), INTENT(IN)    ::  kind
-       TYPE(nc_var), INTENT(IN)        ::  out_vars(:)
-       TYPE(nc_var), INTENT(IN)        ::  in_var_list(:)
-       INTEGER, OPTIONAL               ::  n_output_quantities
-
-       TYPE(io_group)                  ::  group
-
-       group % nt = SIZE(in_files)
-       group % nv = SIZE(out_vars)
-       group % n_inputs = SIZE(in_var_list)
-       group % kind = TRIM(kind)
-!
-!--    For the 'thermodynamics' IO group, one quantity more than input variables
-!--    is needed to compute all output variables of the IO group. Concretely, in
-!--    preprocess() the density is computed from T,P or PP,QV in adddition to
-!--    the variables Theta, p, qv. In read_input_variables(),
-!--    n_output_quantities is used to allocate the correct number of input
-!--    buffers.
-       IF ( PRESENT(n_output_quantities) )  THEN
-          group % n_output_quantities = n_output_quantities
-       ELSE
-          group % n_output_quantities = group % n_inputs
-       ENDIF
-
-       ALLOCATE(group % in_var_list(group % n_inputs))
-       ALLOCATE(group % in_files(group % nt))
-       ALLOCATE(group % out_vars(group % nv))
-
-       group % in_var_list = in_var_list
-       group % in_files = in_files
-       group % out_vars = out_vars
-       group % to_be_processed = .TRUE.
-
-    END FUNCTION init_io_group
+ FUNCTION init_io_group(in_files, out_vars, in_var_list, kind,              &
+                        n_output_quantities) RESULT(group)
+    CHARACTER(LEN=PATH), INTENT(IN) ::  in_files(:)
+    CHARACTER(LEN=*), INTENT(IN)    ::  kind
+    TYPE(nc_var), INTENT(IN)        ::  out_vars(:)
+    TYPE(nc_var), INTENT(IN)        ::  in_var_list(:)
+    INTEGER, OPTIONAL               ::  n_output_quantities
+
+    TYPE(io_group)                  ::  group
+
+    group%nt = SIZE(in_files)
+    group%nv = SIZE(out_vars)
+    group%n_inputs = SIZE(in_var_list)
+    group%kind = TRIM(kind)
+!
+!-- For the 'thermodynamics' IO group, one quantity more than input variables
+!-- is needed to compute all output variables of the IO group. Concretely, in
+!-- preprocess() the density is computed from T,P or PP,QV in adddition to
+!-- the variables Theta, p, qv. In read_input_variables(),
+!-- n_output_quantities is used to allocate the correct number of input
+!-- buffers.
+    IF ( PRESENT(n_output_quantities) )  THEN
+       group%n_output_quantities = n_output_quantities
+    ELSE
+       group%n_output_quantities = group%n_inputs
+    ENDIF
+
+    ALLOCATE(group%in_var_list(group%n_inputs))
+    ALLOCATE(group%in_files(group%nt))
+    ALLOCATE(group%out_vars(group%nv))
+
+    group%in_var_list = in_var_list
+    group%in_files = in_files
+    group%out_vars = out_vars
+    group%to_be_processed = .TRUE.
+
+ END FUNCTION init_io_group
 
 
@@ -2303,25 +2322,25 @@
 !> Deallocates all allocated variables.
 !------------------------------------------------------------------------------!
-    SUBROUTINE fini_grids()
-
-       CALL report('fini_grids', 'Deallocating grids', cfg % debug)
-       
-       DEALLOCATE(x, y, z, xu, yv, zw, z_column, zw_column)
-
-       DEALLOCATE(palm_grid%x,  palm_grid%y,  palm_grid%z,                     &
-                  palm_grid%xu, palm_grid%yv, palm_grid%zw,                    &
-                  palm_grid%clon,  palm_grid%clat,                             &
-                  palm_grid%clonu, palm_grid%clatu)
-
-       DEALLOCATE(palm_intermediate%x,  palm_intermediate%y,  palm_intermediate%z, &
-                  palm_intermediate%xu, palm_intermediate%yv, palm_intermediate%zw,&
-                  palm_intermediate%clon,  palm_intermediate%clat,             &  
-                  palm_intermediate%clonu, palm_intermediate%clatu)
-
-       DEALLOCATE(cosmo_grid%lon,  cosmo_grid%lat,                             &
-                  cosmo_grid%lonu, cosmo_grid%latv,                            &
-                  cosmo_grid%hfl)
-
-    END SUBROUTINE fini_grids
+ SUBROUTINE fini_grids()
+
+    CALL report('fini_grids', 'Deallocating grids', cfg%debug)
+    
+    DEALLOCATE(x, y, z, xu, yv, zw, z_column, zw_column)
+
+    DEALLOCATE(palm_grid%x,  palm_grid%y,  palm_grid%z,                        &
+               palm_grid%xu, palm_grid%yv, palm_grid%zw,                       &
+               palm_grid%clon,  palm_grid%clat,                                &
+               palm_grid%clonu, palm_grid%clatu)
+
+    DEALLOCATE(palm_intermediate%x,  palm_intermediate%y,  palm_intermediate%z, &
+               palm_intermediate%xu, palm_intermediate%yv, palm_intermediate%zw,&
+               palm_intermediate%clon,  palm_intermediate%clat,                &  
+               palm_intermediate%clonu, palm_intermediate%clatu)
+
+    DEALLOCATE(cosmo_grid%lon,  cosmo_grid%lat,                                &
+               cosmo_grid%lonu, cosmo_grid%latv,                               &
+               cosmo_grid%hfl)
+
+ END SUBROUTINE fini_grids
 
 
@@ -2331,21 +2350,21 @@
 !> Initializes the variable list.
 !------------------------------------------------------------------------------!
-    SUBROUTINE setup_variable_tables(ic_mode)
-       CHARACTER(LEN=*), INTENT(IN) ::  ic_mode
-       INTEGER                      ::  n_invar = 0  !< number of variables in the input variable table
-       INTEGER                      ::  n_outvar = 0 !< number of variables in the output variable table
-       TYPE(nc_var), POINTER        ::  var
-
-       IF (TRIM(cfg % start_date) == '')  THEN
-          message = 'Simulation start date has not been set.'
-          CALL inifor_abort('setup_variable_tables', message)
-       ENDIF
-
-       nc_source_text = 'COSMO-DE analysis from ' // TRIM(cfg % start_date)
-
-       n_invar = 17
-       n_outvar = 64
-       ALLOCATE( input_var_table(n_invar) )
-       ALLOCATE( output_var_table(n_outvar) )
+ SUBROUTINE setup_variable_tables(ic_mode)
+    CHARACTER(LEN=*), INTENT(IN) ::  ic_mode
+    INTEGER                      ::  n_invar = 0  !< number of variables in the input variable table
+    INTEGER                      ::  n_outvar = 0 !< number of variables in the output variable table
+    TYPE(nc_var), POINTER        ::  var
+
+    IF (TRIM(cfg%start_date) == '')  THEN
+       message = 'Simulation start date has not been set.'
+       CALL inifor_abort('setup_variable_tables', message)
+    ENDIF
+
+    nc_source_text = 'COSMO-DE analysis from ' // TRIM(cfg%start_date)
+
+    n_invar = 17
+    n_outvar = 64
+    ALLOCATE( input_var_table(n_invar) )
+    ALLOCATE( output_var_table(n_outvar) )
 
 !
@@ -2353,88 +2372,88 @@
 !- Section 1: NetCDF input variables
 !------------------------------------------------------------------------------
-       var => input_var_table(1)
-       var % name = 'T_SO'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(2)
-       var % name = 'W_SO'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(3)
-       var % name = 'T'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .TRUE.
-
-       var => input_var_table(4)
-       var % name = 'QV'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .TRUE.
-
-       var => input_var_table(5)
-       var % name = 'U'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .TRUE.
-
-       var => input_var_table(6)
-       var % name = 'V'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .TRUE.
-
-       var => input_var_table(7)
-       var % name = 'W'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .TRUE.
-
-       var => input_var_table(8)
-       var % name = 'RAIN_GSP'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(9)
-       var % name = 'SNOW_GSP'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(10)
-       var % name = 'GRAU_GSP'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(11)
-       var % name = 'AEVAP_S'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(12)
-       var % name = 'T_2M'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(13)
-       var % name = 'ASWDIFD_S'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(14)
-       var % name = 'ASWDIR_S'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(15)
-       var % name = 'ASOB_S'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(16)
-       var % name = 'ATHB_S'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .FALSE.
-
-       var => input_var_table(17)
-       var % name = 'P'
-       var % to_be_processed = .TRUE.
-       var % is_upside_down = .TRUE.
+    var => input_var_table(1)
+    var%name = 'T_SO'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(2)
+    var%name = 'W_SO'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(3)
+    var%name = 'T'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .TRUE.
+
+    var => input_var_table(4)
+    var%name = 'QV'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .TRUE.
+
+    var => input_var_table(5)
+    var%name = 'U'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .TRUE.
+
+    var => input_var_table(6)
+    var%name = 'V'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .TRUE.
+
+    var => input_var_table(7)
+    var%name = 'W'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .TRUE.
+
+    var => input_var_table(8)
+    var%name = 'RAIN_GSP'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(9)
+    var%name = 'SNOW_GSP'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(10)
+    var%name = 'GRAU_GSP'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(11)
+    var%name = 'AEVAP_S'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(12)
+    var%name = 'T_2M'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(13)
+    var%name = 'ASWDIFD_S'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(14)
+    var%name = 'ASWDIR_S'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(15)
+    var%name = 'ASOB_S'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(16)
+    var%name = 'ATHB_S'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .FALSE.
+
+    var => input_var_table(17)
+    var%name = 'P'
+    var%to_be_processed = .TRUE.
+    var%is_upside_down = .TRUE.
 
 !
